program pbasic;
(* Module principal de PetitBasic. *)

uses dos, utilisateur;

function soir : boolean;
(* Renvoie true si l'on est le soir, i.e. si on est entre 18 heures et 6
 * heures du matin.
 *)

var	heure, minute, seconde, centieme	: word;

begin
	gettime(heure, minute, seconde, centieme);
	if (heure > 18) or (heure < 6) then
		soir := true
	else
		soir := false;
end;

begin
	writeln('PetitBasic Version 1.00 Copyright (C) 1999 Lin Ke-Fong.');
	writeln('Logiciel Libre et Gratuit.');

	writeln;
	if soir then
		writeln('Bonsoir.')
	else
		writeln('Bonjour.');

	writeln;
	interface_utilisateur;

	writeln;
	if soir then
		writeln('Bonne nuit.')
	else
		writeln('Bonne journ‚e.');
end.
